@InProceedings{Guzman2022,
author="Guzman, David
and Trossen, Dirk
and McBride, Mike
and Fan, Xinxin",
editor="Chen, Shiping
and Shyamasundar, Rudrapatna K.
and Zhang, Liang-Jie",
title="Insights on Impact of Distributed Ledgers on Provider Networks",
booktitle="Blockchain -- ICBC 2022",
year="2022",
publisher="Springer Nature Switzerland",
address="Cham",
pages="3--17",
abstract="Internet scale distributed consensus takes advantage of randomized algorithms to cope with functional resilience, reliability and access while accomplishing decentralized agreement at expenses of costly unicast communication. This paper provides experimental insights on randomized communication patterns for distributed consensus systems. We define, measure and approximate communication overhead against key performance indicators like latency and communication overhead, leading to a discussion on how network innovations may mitigate the identified issues. While this paper does not promote specific solutions or DLT implementations, our initial insights invite the wider community working on DLT and network solutions alike to deepen those insights to aid future research and development into solutions, concepts, and technologies.",
isbn="978-3-031-23495-8"
}

@inproceedings{Tumas2023,
author = {Tumas, Vytautas and Rivera, Sean and Magoni, Damien and State, Radu},
title = {Topology Analysis of the XRP Ledger},
year = {2023},
isbn = {9781450395175},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
url = {https://doi.org/10.1145/3555776.3577611},
doi = {10.1145/3555776.3577611},
abstract = {XRP Ledger is one of the oldest, well-established blockchains. Despite the popularity of the XRP Ledger, little is known about its underlying peer-to-peer network. The structural properties of a network impact its efficiency, security and robustness. We aim to close the knowledge gap by providing a detailed analysis of the XRP overlay network.In this paper we examine the graph-theoretic properties of the XRP Ledger peer-to-peer network and its temporal characteristics. We crawl the XRP Ledger over two months and collect 1,290 unique network snapshots. We uncover a small group of nodes that act as a networking backbone. In addition, we observe a high network churn, with a third of the nodes changing every five days. Our findings have strong implications for the resilience and safety of the XRP Ledger.},
booktitle = {Proceedings of the 38th ACM/SIGAPP Symposium on Applied Computing},
pages = {1277–1284},
numpages = {8},
keywords = {blockchain, XRP Ledger, topology analysis, measurement},
location = {Tallinn, Estonia},
series = {SAC '23}
}

@inproceedings{Rasolroveicy2022,
author = {Rasolroveicy, Mohammadreza and Fokaefs, Marios},
title = {Impact of DDoS Attacks on the Performance of Blockchain Consensus as an loT Data Registry: An Empirical Study},
year = {2022},
publisher = {IBM Corp.},
address = {USA},
abstract = {The current proliferation of blockchain technologies is paving the way for enhancing security in novel technologies such as the In­ternet of Things (IoT). As the number ofloT devices continues to rise, the likelihood of Distributed Denial-of-Service (DDoS) attacks also increases. Blockchain technology has been proposed as a mit­igation strategy for DDoS attacks. The consensus protocol is the main power of blockchain, as it ensures that participants of the network validate each transaction. Different consensus algorithms have been proposed that behave differently with respect to per­formance, resource utilization, and security when the system is under a DDoS attack. In this work, we benchmark a Hyperledger Sawtooth blockchain infrastructure under various DDoS attacks to study the performance of three different consensus protocols, including PBFT, Raft, and PoET, and demonstrate the impact of the attack on performance and resource utilization. Moreover, we propose a self-adaptive management system to automatically re­configure the consensus protocol's properties to reduce the time overheads and packet loss. Our experiments demonstrate that each consensus protocol behaves differently under DDoS attacks as the workload changes.},
booktitle = {Proceedings of the 32nd Annual International Conference on Computer Science and Software Engineering},
pages = {71–80},
numpages = {10},
keywords = {Blockchain Consensus, Software Security, Software Performance, IoT, Self-adaptive systems, DDoS attacks, Blockchain},
location = {Toronto, Canada},
series = {CASCON '22}
}

@article{Grundmann2022,
abstract = {A recent spam wave of IP addresses in the Bitcoin P2P network allowed us to estimate the degree distribution of reachable peers. The resulting distribution indicates that about half of the reachable peers run with Bitcoin Core's default setting of a maximum of 125 concurrent connections and nearly all connection slots are taken. We validate this result empirically. We use our observations of the spam wave to group IP addresses that belong to the same peer. By doing this grouping, we improve on previous measurements of the number of reachable peers and show that simply counting IP addresses overestimates the number of reachable peers by 15 %. We revalidate previous work by using our observations to estimate the number of unreachable peers.},
author = {Grundmann, Matthias and Baumstark, Max and Hartenstein, Hannes},
doi = {10.1109/ICBC54727.2022.9805511},
file = {:Users/dgu/Downloads/2022-Bitcoin-Degree.pdf:pdf},
isbn = {9781665495387},
journal = {IEEE International Conference on Blockchain and Cryptocurrency, ICBC 2022},
mendeley-groups = {51-dlt},
number = {July 2021},
title = {{On the Peer Degree Distribution of the Bitcoin P2P Network}},
year = {2022}
}

@article{Neudecker2018,
author = {Neudecker, Till},
mendeley-groups = {50-distributed-concensus},
title = {{Security and Anonymity Aspects of the Network Layer of Permissionless Blockchains}},
year = {2018}
}
% DCS
@phdthesis{Tsitsiklis1984,
author = {Tsitsiklis, John},
mendeley-groups = {50-distributed-concensus},
school = {Massachusetts Institute of Technology},
title = {{Problems In Decentralized Decission Making and Computation}},
year = {1984}
}

@article{Fischer1985,
author = {Fischer, Michael J. and Lynch, Nancy A. and Paterson, Michael S.},
title = {Impossibility of Distributed Consensus with One Faulty Process},
year = {1985},
issue_date = {April 1985},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {32},
number = {2},
issn = {0004-5411},
url = {https://doi.org/10.1145/3149.214121},
doi = {10.1145/3149.214121},
abstract = {The consensus problem involves an asynchronous system of processes, some of which may be unreliable. The problem is for the reliable processes to agree on a binary value. In this paper, it is shown that every protocol for this problem has the possibility of nontermination, even with only one faulty process. By way of contrast, solutions are known for the synchronous case, the “Byzantine Generals” problem.},
journal = {J. ACM},
month = {apr},
pages = {374–382},
numpages = {9}
}

%
@article{Howard2014,
author = {Howard, Heidi},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/UCAM-CL-TR-935.pdf:pdf},
mendeley-groups = {50-distributed-concensus},
number = {UCAM-CL-TR-935},
issn ={1476-2986},
title = {{Distributed consensus revised}},
journal={University of Cambridge},
year = {2014}
}

@article{Defago2004,
author = {D\'{e}fago, Xavier and Schiper, Andr\'{e} and Urb\'{a}n, P\'{e}ter},
title = {Total Order Broadcast and Multicast Algorithms: Taxonomy and Survey},
year = {2004},
issue_date = {December 2004},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {36},
number = {4},
issn = {0360-0300},
url = {https://doi.org/10.1145/1041680.1041682},
doi = {10.1145/1041680.1041682},
abstract = {Total order broadcast and multicast (also called atomic broadcast/multicast) present an important problem in distributed systems, especially with respect to fault-tolerance. In short, the primitive ensures that messages sent to a set of processes are, in turn, delivered by all those processes in the same total order.},
journal = {ACM Comput. Surv.},
month = {dec},
pages = {372–421},
numpages = {50},
keywords = {distributed algorithms, group communication, classification, global ordering, atomic multicast, atomic broadcast, agreement problems, Distributed systems, total ordering, taxonomy, survey, fault-tolerance, message passing}
}

@inbook{Lamport2019,
author = {Lamport, Leslie and Shostak, Robert and Pease, Marshall},
title = {The Byzantine Generals Problem},
year = {2019},
isbn = {9781450372701},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
booktitle = {Concurrency: The Works of Leslie Lamport},
pages = {203–226},
numpages = {24}
}

@article{Aspnes1998,
author = {Aspnes, James},
title = {Lower Bounds for Distributed Coin-Flipping and Randomized Consensus},
year = {1998},
issue_date = {May 1998},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {45},
number = {3},
issn = {0004-5411},
abstract = {We examine a class of collective coin-flipping games that arises from randomized distributed algorithms with halting failures. In these games, a sequence of local coin flips is generated, which must be combined to form a single global coin flip. An adversary monitors the game and may attempt to bias its outcome by hiding the result of up to t local coin flips. We show that to guarantee at most constant bias, ω(t2) local coins are needed, even if (a) the local coins can have arbitrary distributions and ranges, (b) the adversary is required to decide immediately wheter to hide or reveal each local coin, and (c) the game can detect which local coins have been hidden. If the adversary is permitted to control the outcome of the coin except for cases whose probability is polynomial in t, ω(t2/log2t) local coins are needed. Combining this fact with an extended version of the well-known Fischer-Lynch-Paterson impossibility proof of deterministic consensus, we show that given an adaptive adversary, any t-resilient asynchronous consensus protocol requires ω(t2/log2t) local coin flips in any model that can be simulated deterministically using atomic registers. This gives the first nontrivial lower bound on the total work required by wait-free consensus and is tight to within logarithmic factors.},
journal = {J. ACM},
month = {may},
pages = {415–450},
numpages = {36},
keywords = {consensus, randomization, impossibility}
}

@book{Aspnes2022,
author = {Aspnes, James},
booktitle = {Yale University},
file = {:D\:/Users/d84179777/Downloads/notes.pdf:pdf},
mendeley-groups = {50-distributed-concensus},
title = {{Notes on Theory of Distributed Systems}},
year = {2022}
}


@article{Chockler2001,
abstract = {{\textcopyright}2001 ACM 0360-0300/01/1200-0427 View-oriented group communication is an important and widely used building block for many distributed applications. Much current research has been dedicated to specifying the semantics and services of view-oriented group communication systems (GCSs). However, the guarantees of different GCSs are formulated using varying terminologies and modeling techniques, and the specifications vary in their rigor. This makes it difficult to analyze and compare the different systems. This survey provides a comprehensive set of clear and rigorous specifications, which may be combined to represent the guarantees of most existing GCSs. In the light of these specifications, over 30 published GCS specifications are surveyed. Thus, the specifications serve as a unifying framework for the classification, analysis, and comparison of group communication systems. The survey also discusses over a dozen different applications of group communication systems, shedding light on the usefulness of the presented specifications. This survey is aimed at both system builders and theoretical researchers. The specification framework presented in this article will help builders of group communication systems understand and specify their service semantics; the extensive Categories and Subject Descriptors: C.2.4 [Computer-Communication Networks]: Distributed Systems; D.4.7 [Operating Systems]: Organization and Design - distributed systems; F.3.1 [Logics and Meanings of Programs]: Specifying and Verifying and Reasoning about Programs - specification techniques; C.2.1 [Computer-Communication Networks]: Network Architecture and Design - network communications Algorithms, Reliability, Standardization.},
author = {Chockler, Gregory V. and Keidar, Idit and Vitenberg, Roman},
doi = {10.1145/503112.503113},
file = {:D\:/Users/d84179777/Downloads/GroupCommunication.pdf:pdf},
issn = {03600300},
journal = {ACM Computing Surveys},
keywords = {Group communication systems,Partitionable group membership,Process group membership,Specifications of group communication systems,View synchrony,Virtual synchrony},
mendeley-groups = {50-distributed-concensus},
number = {4},
pages = {427--469},
title = {{Group communication specifications: A comprehensive study}},
volume = {33},
year = {2001}
}



%DLT entries
@article{Baran1962,
author = {Baran, Paul},
doi = {10.1109/TCOM.1964.1088883},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/P2626-Paul_Baran_Distributed_Systems.pdf:pdf},
journal = {IEEE Transactions on Communications Systems},
mendeley-groups = {53-distributed-systems},
number = {1},
pages = {1--9},
title = {{On Distributed Communication Networks}},
volume = {12},
year = {1964}
}
@article{Newman1956,
author = {Newman, John Von},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/vonNeumann-1956-Automata-and-Logic.pdf:pdf},
journal = {Automata Studies},
mendeley-groups = {6-information-theory},
title = {{Probabilistic Logics and the Synthesis of Reliable Organism from Unreliable Components}},
volume = {C. Shannon},
year = {1956}
}

@INPROCEEDINGS{Makur2019,
  author={Makur, Anuran and Mossel, Elchanan and Polyanskiy, Yury},
  booktitle={2019 IEEE International Symposium on Information Theory (ISIT)},
  title={Broadcasting on Random Networks},
  year={2019},
  volume={},
  number={},
  pages={1632-1636},
  doi={10.1109/ISIT.2019.8849393}
}

@ARTICLE{Makur2020,
  author={Makur, Anuran and Mossel, Elchanan and Polyanskiy, Yury},
  journal={IEEE Transactions on Information Theory},
  title={Broadcasting on Random Directed Acyclic Graphs},
  year={2020},
  volume={66},
  number={2},
  pages={780-812},
  doi={10.1109/TIT.2019.2935772}
}

@article{Evans2000,
author = {{William Evans, Claire Kenyon Yuval Peres}, Leonard Schulman},
doi = {https://doi.org/10.1214/aoap/1019487349},
file = {:D\:/Users/d84179777/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/William Evans, Claire Kenyon Yuval Peres - Unknown - Broadcasting on Trees and the Ising Model.pdf:pdf},
journal = {Ann. Appl. Probab.},
mendeley-groups = {6-information-theory},
number = {2},
pages = {410--433},
title = {{Broadcasting on Trees and the Ising Model}},
volume = {10},
year = {2000}
}

@article{Cai2021,
author = {Cai, Liang and Sun, Yi and Zheng, Zibin and Xiao, Jiang and Qiu, Weiwei},
title = {Blockchain in China},
year = {2021},
issue_date = {November 2021},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {64},
number = {11},
issn = {0001-0782},
url = {https://doi.org/10.1145/3481627},
doi = {10.1145/3481627},
journal = {Commun. ACM},
month = {oct},
pages = {88–93},
numpages = {6}
}

@inproceedings{Castro1999,
author = {Castro, Miguel and Liskov, Barbara},
title = {Practical Byzantine Fault Tolerance},
year = {1999},
isbn = {1880446391},
publisher = {USENIX Association},
address = {USA},
booktitle = {Proceedings of the Third Symposium on Operating Systems Design and Implementation},
pages = {173–186},
numpages = {14},
location = {New Orleans, Louisiana, USA},
series = {OSDI '99}
}

@article{Nakamoto2008,
abstract = {In this article I will compare two approaches for defining theoretical terms, that of Logical Empirism (especially the approach of R. Carnap) and that of Structuralism (according to the works of J. Sneed and W. Stegm{\"{u}}ller). I will determine explicitly the accounts of theoreticity in both Logical Empirism and Structuralism, and compare them by means of a case study: a structuralistic reconstruction of Neurobiological Constructivism (according to the theory of G. Roth). I will point out that the structuralistic criticism on the account of theoreticity of Logical Empirism is insufficient and that the structuralistic criterion of theoreticity does not satisfy the requirements of demarcation for theoretical terms demanded by Logical Empirism. {\textcopyright} 2008 Springer Science+Business Media B.V.},
author = {Nakamoto ,Satoshi },
doi = {10.1007/s10838-008-9062-0},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/Satoshi - 2008 - Bitcoin A Peer-to-Peer Electronic Cash System.pdf:pdf},
issn = {09254560},
journal = {Journal for General Philosophy of Science},
mendeley-groups = {51-dlt},
number = {1},
pages = {53--67},
title = {{Bitcoin: A Peer-to-Peer Electronic Cash System}},
volume = {39},
year = {2008}
}

@inproceedings{Javarone2018,
author = {Javarone, Marco Alberto and Wright, Craig Steven},
title = {From Bitcoin to Bitcoin Cash: A Network Analysis},
year = {2018},
isbn = {9781450358385},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
abstract = {Bitcoins and Blockchain technologies are attracting the attention of different scientific communities. In addition, their widespread industrial applications and the continuous introduction of cryptocurrencies are also stimulating the attention of the public opinion. The underlying structure of these technologies constitutes one of their core concepts. In particular, they are based on peer-to-peer networks. Accordingly, all nodes lie at the same level, so that there is no place for privileged actors as, for instance, banking institutions in classical financial networks. In this work, we perform a preliminary investigation on two kinds of network, i.e. the Bitcoin network and the Bitcoin Cash network. Notably, we analyze their global structure and we try to evaluate if they are provided with a small-world behavior. Results suggest that the principle known as 'fittest-gets-richer', combined with a continuous increasing of connections, might constitute the mechanism leading these networks to reach their current structure. Moreover, further observations open the way to new investigations into this direction.},
booktitle = {Proceedings of the 1st Workshop on Cryptocurrencies and Blockchains for Distributed Systems},
pages = {77–81},
numpages = {5},
keywords = {Bitcoin, Complex Networks, Bitcoin Cash},
location = {Munich, Germany},
series = {CryBlock'18}
}

@article{Dimitri2022,
author = {Dimitri, Nicola},
title = {Proof-of-Stake in Algorand},
year = {2022},
issue_date = {December 2022},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {1},
number = {2},
issn = {2769-6472},
abstract = {In the last few years, a number of blockchain-based online platforms decided to use consensus procedures other than Proof of Work (PoW), originally adopted by Bitcoin. An alternative protocol, which attracted much attention, is the so-called Proof-of-Stake (PoS), which unlike PoW consensus is not based on solving an energy-consuming cryptopuzzle, but rather on the amount of currency units owned by a user. Different platforms adopted alternative versions of PoS. In this article, we investigate a version of PoS inspired by Algorand, which embodies a number of specific features. Indeed, to confirm a new block in the chain Algorand introduces three steps: proposal, selection, and confirmation of a block. Each step is performed by randomly selected users, where draws are based on PoS. We find explicit solutions for individual money demand, under the main simplifying assumption that a user is rewarded by the system only for the first role that she's drawn for. We do so by considering both exogenous and endogenous money supply. We also discuss the monetary equilibrium of the system, an important element in the analysis because a long-lasting disequilibrium of the economy may cause disappointment and induce some users to leave the system. Our findings suggest that an equilibrium seems to be more likely to take place if users have heterogeneous, rather than homogeneous, preferences.},
journal = {Distrib. Ledger Technol.},
month = {dec},
articleno = {9},
numpages = {17},
keywords = {Proof-of-Stake, Algorand, Blockchain}
}

@ARTICLE {Drusinsky2022,
author = {D. Drusinsky},
journal = {Computer},
title = {On the High-Energy Consumption of Bitcoin Mining},
year = {2022},
volume = {55},
number = {01},
issn = {1558-0814},
pages = {88-93},
abstract = {A well-known fact is that Bitcoin’s blockchain maintenance using proof-of-work mining consumes a lot of energy. This article explains how this energy expense is inherent to Bitcoin’s design whose purpose is to induce a truly distributed peer-to-peer currency ledger (the blockchain) that is nevertheless trustable.},
keywords = {bitcoin;maintenance engineering;blockchains;peer-to-peer computing;currencies;design methodology},
doi = {10.1109/MC.2021.3123781},
publisher = {IEEE Computer Society},
address = {Los Alamitos, CA, USA},
month = {jan}
}

@inproceedings{Lee2020,
author = {Lee, Xi Tong and Arijit, Khan and Sourav, Sen Gupta and Yu, Hann Ong and Xuan, Liu},
booktitle = {WWW '20: Proceedings of The Web Conference 2020},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/2020_www-measuring-analysis-dlt.pdf:pdf},
isbn = {9781450370233},
keywords = {acm reference format,and xuan,arijit khan,blockchain,ethereum,network analysis,smart contracts,sourav sen gupta,tokens,xi tong lee,yu hann ong},
mendeley-groups = {51-dlt},
title = {{Measurements , Analyses , and Insights on the Entire Ethereum Blockchain Network}},
year = {2020}
}
@article{Wang2021,
archivePrefix = {arXiv},
arxivId = {arXiv:2010.01373v2},
author = {Wang, Taotao and Zhao, Chonghe and Yang, Qing and Zhang, Shengli and Liew, Soung Chang},
eprint = {arXiv:2010.01373v2},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/2010.01373-etherscan2021.pdf:pdf},
mendeley-groups = {51-dlt},
pages = {1--15},
title = {{Ethna : Analyzing the Underlying Peer-to-Peer Network of Ethereum Blockchain}},
year = {2021}
}

@INPROCEEDINGS{Zhang2021,
  author={Zhang, Lin and Lee, Brian and Ye, Yuhang and Qiao, Yuansong},
  booktitle={2021 11th IFIP International Conference on New Technologies, Mobility and Security (NTMS)},
  title={Evaluation of Ethereum End-to-end Transaction Latency},
  year={2021},
  volume={},
  number={},
  pages={1-5},
  doi={10.1109/NTMS49979.2021.9432676}}

@inproceedings{Gilad2017,
author = {Gilad, Yossi and Hemo, Rotem and Micali, Silvio and Vlachos, Georgios and Zeldovich, Nickolai},
title = {Algorand: Scaling Byzantine Agreements for Cryptocurrencies},
year = {2017},
isbn = {9781450350853},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
abstract = {Algorand is a new cryptocurrency that confirms transactions with latency on the order of a minute while scaling to many users. Algorand ensures that users never have divergent views of confirmed transactions, even if some of the users are malicious and the network is temporarily partitioned. In contrast, existing cryptocurrencies allow for temporary forks and therefore require a long time, on the order of an hour, to confirm transactions with high confidence.Algorand uses a new Byzantine Agreement (BA) protocol to reach consensus among users on the next set of transactions. To scale the consensus to many users, Algorand uses a novel mechanism based on Verifiable Random Functions that allows users to privately check whether they are selected to participate in the BA to agree on the next set of transactions, and to include a proof of their selection in their network messages. In Algorand's BA protocol, users do not keep any private state except for their private keys, which allows Algorand to replace participants immediately after they send a message. This mitigates targeted attacks on chosen participants after their identity is revealed.We implement Algorand and evaluate its performance on 1,000 EC2 virtual machines, simulating up to 500,000 users. Experimental results show that Algorand confirms transactions in under a minute, achieves 125x Bitcoin's throughput, and incurs almost no penalty for scaling to more users.},
booktitle = {Proceedings of the 26th Symposium on Operating Systems Principles},
pages = {51–68},
numpages = {18},
location = {Shanghai, China},
series = {SOSP '17}
}

@article{Dotan2020,
author = {Dotan, Maya and Pignolet, Yvonne-Anne and Schmid, Stefan and Tochner, Saar and Zohar, Aviv},
title = {Survey on Blockchain Networking: Context, State-of-the-Art, Challenges},
year = {2021},
issue_date = {June 2022},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {54},
number = {5},
issn = {0360-0300},
url = {https://doi.org/10.1145/3453161},
doi = {10.1145/3453161},
abstract = {Blockchains, in general, and cryptocurrencies such as Bitcoin, in particular, are realized using distributed systems and hence critically rely on the performance and security of the interconnecting network. The requirements on these networks and their usage, however, can differ significantly from traditional communication networks, with implications on all layers of the protocol stack. This article is motivated by these differences and, in particular, by the observation that many fundamental design aspects of these networks are not well-understood today. To support the networking community to contribute to this emerging application domain, we present a structured overview of the field, from topology and neighbor discovery, over block and transaction propagation, to sharding and off-chain networks, also reviewing existing empirical results from different measurement studies. In particular, for each of these domains, we provide the context, highlighting differences and commonalities with traditional networks, review the state-of-the-art, and identify open research challenges. Our article can hence also be seen as a call-to-arms to improve the foundation on top of which blockchains are built.},
journal = {ACM Comput. Surv.},
month = {may},
articleno = {107},
numpages = {34},
keywords = {Blockchains, distributed computing, payment networks}
}
@INPROCEEDINGS{Badr2022,
  author={Bellaj, Badr and Ouaddah, Aafaf and Bertin, Emmanuel and Crespi, Noel and Mezrioui, Abdellatif},
  booktitle={2022 IEEE International Conference on Blockchain and Cryptocurrency (ICBC)},
  title={SOK: A Comprehensive Survey on Distributed Ledger Technologies},
  year={2022},
  volume={},
  number={},
  pages={1-16},
  doi={10.1109/ICBC54727.2022.9805533}
  }
@inproceedings{Kim2018,
author = {Kim, Seoung Kyun and Ma, Zane and Murali, Siddharth and Mason, Joshua and Miller, Andrew and Bailey, Michael},
title = {Measuring Ethereum Network Peers},
year = {2018},
isbn = {9781450356190},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
abstract = {Ethereum, the second-largest cryptocurrency valued at a peak of $138 billion in 2018, is a decentralized, Turing-complete computing platform. Although the stability and security of Ethereum---and blockchain systems in general---have been widely-studied, most analysis has focused on application level features of these systems such as cryptographic mining challenges, smart contract semantics, or block mining operators. Little attention has been paid to the underlying peer-to-peer (P2P) networks that are responsible for information propagation and that enable blockchain consensus. In this work, we develop NodeFinder to measure this previously opaque network at scale and illuminate the properties of its nodes. We analyze the Ethereum network from two vantage points: a three-month long view of nodes on the P2P network, and a single day snapshot of the Ethereum Mainnet peers. We uncover a noisy DEVp2p ecosystem in which fewer than half of all nodes contribute to the Ethereum Mainnet. Through a comparison with other previously studied P2P networks including BitTorrent, Gnutella, and Bitcoin, we find that Ethereum differs in both network size and geographical distribution.},
booktitle = {Proceedings of the Internet Measurement Conference 2018},
pages = {91–104},
numpages = {14},
keywords = {DEVp2p, Ethereum, peer-to-peer computing, network measurement},
location = {Boston, MA, USA},
series = {IMC '18}
}

@inproceedings{Cruciani2023,
author = {Cruciani, Antonio and Pasquale, Francesco},
title = {Dynamic Graph Models Inspired by the Bitcoin Network-Formation Process},
year = {2023},
isbn = {9781450397964},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
abstract = {The network formation process in the Bitcoin protocol is designed to hide the global network structure: while most of the nodes of the network can be easily discovered, the existence of an edge between two nodes is only known by the two endpoints. In [Becchetti et al., SODA2020] the authors propose a dynamic random graph model inspired by the network formation process in the Bitcoin protocol and they prove that the evolution of the graph quickly terminates and that the resulting graph is an expander, with high probability. In this paper we extend the model in [Becchetti et al., SODA2020] to obtain dynamic random graph models that evolve forever: in the first model, edges can be faulty, i.e., each edge at each round disappears with some probability; in the second one, at every round new nodes join the network according to a Poisson process and each node currently in the network disappears with certain probability; in the third one, we consider a combination of the two models above, in which edges can be faulty and nodes can join and leave the network. We run extensive simulations to measure the “flooding time” in the three models, i.e., how long it takes a message starting at a random node to reach all, or almost all, the nodes. The simulations show that, for large ranges of the parameters of the models, the flooding time is short, i.e., compatible with a logarithmic growth, as a function of the number of nodes in the network. Our results also suggest that the default values of the network formation parameters used in the main implementation of the Bitcoin protocol seem overwhelmingly safe with respect to the stability of the network, and they might safely be tuned to reduce network traffic.},
booktitle = {Proceedings of the 24th International Conference on Distributed Computing and Networking},
pages = {125–134},
numpages = {10},
keywords = {Dynamic graphs, P2P networks, Markov chains, simulations},
location = {Kharagpur, India},
series = {ICDCN '23}
}
@article{Zheng,
archivePrefix = {arXiv},
arxivId = {arXiv:1911.00169v2},
author = {Zheng, Peilin},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/1911.00169-dltmeas.pdf:pdf},
mendeley-groups = {51-dlt},
number = {4},
title = {{XBlock-ETH : Extracting and Exploring Blockchain Data From Ethereum}}
}
@InProceedings{Maymounkov2002,
author = {Maymounkov, Petar and Mazi{\`e}res, David},
doi = {10.1007/3-540-45748-8},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/maymounkov-kademlia-lncs.pdf:pdf},
isbn = {978-3-540-45748-0},
mendeley-groups = {51-dlt},
title = {{Kademlia: A Peer-to-peer Information System Based on the XOR Metric}},
booktitle = {Peer-to-Peer Systems},
year = {2002}
}

@article{Garay2017,
author = {Garay, Juan A},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/3055518.3055519.pdf:pdf},
isbn = {9781450343350},
mendeley-groups = {51-dlt},
number = {2016},
pages = {2016},
title = {{Basic Properties of the Blockchain}},
volume = {991},
year = {2017}
}

@article{Antonopoulos2017,
author = {Antonopoulos, A.M},
number = {935},
title = {{Mastering Bitcoin, 2nd Edition}},
year = {2017}
}

@article{Trossen2021,
author = {Trossen, Dirk and Guzman, David and  McBride, Mike and Fan, Xinxin },
number = {935},
title = {{Impact of Distributed Ledgers on Provider Networks}},
year = {2021}
}

@techreport{Trossen2023,
  title={Routing on Service Addresses},
  author={IETF},
  source={https://www.ietf.org/archive/id/draft-trossen-rtgwg-rosa-00.txt},
  year={2023},
}

@INPROCEEDINGS{cards,
author={K. Khandaker and D. Trossen and R. Khalili and Z. Despotovic and A. Hecker and J. Carle},
booktitle={IFIP Networking},
title={CArDS: Dealing a New Hand in Reducing Service Request Completion Times},
year={2022},
}
@techreport{DINRG,
  title={Decentralized Internet Infrastructure (dinrg)},
  author={IETF},
  source={https://datatracker.ietf.org/rg/dinrg/about/},
  year={2022},
}

@techreport{P2958,
  title={P2958: Standard for a Decentralized Identity and Access Management Framework for Internet of Things},
  author={IEEE},
  source={https://standards.ieee.org/ieee/2958/10483/},
  year={2020},
}

@techreport{P3210,
  title={P3210: Standard for Blockchain-based Digital Identity System Framework},
  author={IEEE},
  source={https://standards.ieee.org/ieee/3210/10242/},
  year={2020},
}
@inproceedings{SOI_ROUTING,
  title={A New Approach to a Service Oriented Internet Protocol},
  author={S. Jiang, G. Li, B. Carpenter},
  booktitle={IEEE INFOCOM 2020 - IEEE Conference on Computer Communications Workshops (INFOCOM WKSHPS)},
  year={2020},
}
@INPROCEEDINGS{constraintforwarding,
author={Glebke, René and Trossen, Dirk and Kunze, Ike and Lou, Zhe and Rüth, Jan and Stoffers, Mirko and Wehrle, Klaus},
 booktitle={1st Intl. Workshop on Semantic Addressing and Routing for Future Networks},
title={Service-based Forwarding via Programmable Dataplanes},
 year={2021},
 volume={},
number={},
pages={},
 doi={}
}
@article{Wood2014,
abstract = {The blockchain paradigm when coupled with cryptographically-secured transactions has demonstrated its utility through a number of projects, not least Bitcoin. Each such project can be seen as a simple application on a decentralised, but singleton, compute resource. We can call this paradigm a transactional singleton machine with shared-state. Ethereum implements this paradigm in a generalised manner. Furthermore it provides a plurality of such resources, each with a distinct state and operating code but able to interact through a message-passing framework with others. We discuss its design, implementation issues, the opportunities it provides and the future hurdles we envisage.},
archivePrefix = {arXiv},
arxivId = {arXiv:1011.1669v3},
author = {Wood, Gavin},
doi = {10.1017/CBO9781107415324.004},
eprint = {arXiv:1011.1669v3},
file = {:D\:/Users/d84179777/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Wood - 2014 - Ethereum a secure decentralised generalised transaction ledger.pdf:pdf},
isbn = {9788578110796},
issn = {1098-6596},
journal = {Ethereum Project Yellow Paper},
mendeley-groups = {51-dlt},
pages = {1--32},
pmid = {25246403},
title = {{Ethereum: a secure decentralised generalised transaction ledger}},
year = {2014}
}

%eviction line 47 https://github.com/bitcoin/bitcoin/blob/ffdab41f94521dc87e68a160546af55355340af5/test/functional/p2p_eviction.py
@article{bitcoindevelopers,
author = {Bitcoin},
title = {Bitcoin},
url = {https://github.com/bitcoin},
year = {2023}
}
https://github.com/bitcoin

@article{ethereumdevelopers,
author = {Ethereum},
title = {Ethereum Developers},
url = {https://ethereum.org/en/developers/docs/},
year = {2022}
}

@article{etherscan,
author = {Ethereum},
title = {Etherscan},
url = {https://etherscan.io/nodetracker},
year = {2022}
}
@article{goethereum,
author = {Ethereum},
title = {Go Ethereum Official Client},
url = {https://github.com/ethereum/},
year = {2022}
}
@article{goethereumsecurity,
author = {Ethereum},
title = {Go Ethereum Official Client ECIES},
url = {https://github.com/ethereum/go-ethereum/crypto/ecie},
year = {2022}
}
@article{Gao2019,
author = {Gao, Yue and Shi, Jinqiao and Wang, Xuebin and Tan, Qingfeng and Zhao, Can and Yin, Zelin},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/08969695-Topology-Measures-Yin.pdf:pdf},
isbn = {9781728129990},
journal = {2019 IEEE Symposium on Computers and Communications (ISCC)},
mendeley-groups = {51-dlt},
pages = {1--7},
title = {{Topology Measurement and Analysis on Ethereum P2P Network}},
year = {2019}
}

@article{Zhou2023,
abstract = {Blockchain systems must be secure and offer high performance. These systems rely on transaction broadcast mechanisms to provide both of these features. Unfortunately, in today's systems, the broadcast mechanisms are highly inefficient.We present Mercury, a new transaction broadcast protocol designed for high performance blockchains. Mercury shortens the transaction propagation delay using two techniques: a virtual coordinate system and an early outburst strategy. Simulation results show that Mercury outperforms prior propagation schemes and decreases overall propagation latency by up to 44%. When implemented in Conflux, an open-source high-throughput blockchain system, Mercury reduces transaction propagation latency by over 50% with less than 5% bandwidth overhead.},
author = {Zhou, Mingxun and Zeng, Liyi and Han, Yilin and Li, Peilun and Long, Fan and Zhou, Dong and Beschastnikh, Ivan and Wu, Ming},
doi = {10.1109/INFOCOM53939.2023.10228972},
file = {:Users/dgu/Downloads/Mercury_Fast_Transaction_Broadcast_in_High_Performance_Blockchain_Systems.pdf:pdf},
isbn = {9798350334142},
issn = {0743166X},
journal = {Proceedings - IEEE INFOCOM},
keywords = {Blockchain,P2P network,propagation latency,transaction broadcast},
mendeley-groups = {51-dlt},
pages = {1--10},
publisher = {IEEE},
title = {{Mercury: Fast Transaction Broadcast in High Performance Blockchain Systems}},
volume = {2023-May},
year = {2023}
}

@article{Zheng,
archivePrefix = {arXiv},
arxivId = {arXiv:1911.00169v2},
author = {Zheng, Peilin},
mendeley-groups = {51-dlt},
number = {4},
title = {{XBlock-ETH : Extracting and Exploring Blockchain Data From Ethereum}}
}

@INPROCEEDINGS{Cortes2021,
  author={Cortes-Goicoechea, Mikel and Bautista-Gomez, Leonardo},
  booktitle={2021 Third International Conference on Blockchain Computing and Applications (BCCA)},
  title={Discovering the Ethereum2 P2P Network},
  year={2021},
  volume={},
  number={},
  pages={81-88},
  doi={10.1109/BCCA53669.2021.9657041}}

@article{Cohen2019,
author = {Cohen, Bram and Pietrzak, Krzysztof},
file = {:D\:/Users/d84179777/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Cohen, Pietrzak - 2019 - The Chia Network Blockchain.pdf:pdf},
mendeley-groups = {51-dlt},
pages = {1--44},
title = {{The Chia Network Blockchain}},
volume = {1},
year = {2019}
}

@article{Trautwein2022,
abstract = {Recent years have witnessed growing consolidation of web operations. For example, the majority of web traffic now originates from a few organizations, and even micro-websites often choose to host on large pre-existing cloud infrastructures. In response to this, the "Decentralized Web"attempts to distribute ownership and operation of web services more evenly. This paper describes the design and implementation of the largest and most widely used Decentralized Web platform-the InterPlanetary File System (IPFS)-an open-source, content-Addressable peer-To-peer network that provides distributed data storage and delivery. IPFS has millions of daily content retrievals and already underpins dozens of third-party applications. This paper evaluates the performance of IPFS by introducing a set of measurement methodologies that allow us to uncover the characteristics of peers in the IPFS network. We reveal presence in more than 2700 Autonomous Systems and 152 countries, the majority of which operate outside large central cloud providers like Amazon or Azure. We further evaluate IPFS performance, showing that both publication and retrieval delays are acceptable for a wide range of use cases. Finally, we share our datasets, experiences and lessons learned.},
archivePrefix = {arXiv},
arxivId = {2208.05877},
author = {Trautwein, Dennis and Raman, Aravindh and Tyson, Gareth and Castro, Ignacio and Scott, Will and Schubotz, Moritz and Gipp, Bela and Psaras, Yiannis},
doi = {10.1145/3544216.3544232},
eprint = {2208.05877},
file = {:D\:/Users/d84179777/Downloads/3544216.3544232.pdf:pdf},
isbn = {9781450394208},
journal = {SIGCOMM 2022 - Proceedings of the ACM SIGCOMM 2022 Conference},
keywords = {content addressable storage,content addressing,decentralized web,interplanetary file system,libp2p},
mendeley-groups = {50-distributed-concensus},
pages = {739--752},
title = {{Design and evaluation of ipfs: A storage layer for the decentralizedweb}},
year = {2022}
}

@inproceedings{Burrows2006,
author = {Burrows, Mike},
title = {The Chubby Lock Service for Loosely-Coupled Distributed Systems},
year = {2006},
isbn = {1931971471},
publisher = {USENIX Association},
address = {USA},
abstract = {We describe our experiences with the Chubby lock service, which is intended to provide coarse-grained locking as well as reliable (though low-volume) storage for a loosely-coupled distributed system. Chubby provides an interface much like a distributed file system with advisory locks, but the design emphasis is on availability and reliability, as opposed to high performance. Many instances of the service have been used for over a year, with several of them each handling a few tens of thousands of clients concurrently. The paper describes the initial design and expected use, compares it with actual use, and explains how the design had to be modified to accommodate the differences.},
booktitle = {Proceedings of the 7th Symposium on Operating Systems Design and Implementation},
pages = {335–350},
numpages = {16},
location = {Seattle, Washington},
series = {OSDI '06}
}


@book{Stewart2009,
author = {Stewart, William},
booktitle = {Princenton University Press},
isbn = {9780691140629},
mendeley-groups = {12-queueing-theory},
title = {{Probability, Markov Chains, Queues, and Simulation}},
year = {2009}
}
@book{Feller1969,
abstract = {Volume I, 3rd Edition},
author = {Feller, William},
doi = {10.2307/1267275},
issn = {00401706},
journal = {Technometrics},
mendeley-groups = {12-queueing-theory},
number = {2},
pages = {405},
title = {{Vol. 2, An Introduction to Probability Theory and Its Applications}},
volume = {11},
year = {1969}
}
@article{Rasmussen2016,
author = {Rasmussen, Carl Edward},
publisher = {Cambridge University},
pages = {1-8},
title = {{Discrete Categorical Distribution [Lecture]. Cambridge}},
year = {2016}
}
%statistics
@article{Clauset2009,
author = {Clauset, Aaron and Shalizi, Cosma Rohilla and Newman, M. E. J.},
title = {Power-Law Distributions in Empirical Data},
journal = {SIAM Review},
volume = {51},
number = {4},
pages = {661-703},
year = {2009},
doi = {10.1137/070710111},

URL = {
        https://doi.org/10.1137/070710111

},
eprint = {
        https://doi.org/10.1137/070710111

}
,
    abstract = { Power-law distributions occur in many situations of scientific interest and have significant consequences for our understanding of natural and man-made phenomena. Unfortunately, the detection and characterization of power laws is complicated by the large fluctuations that occur in the tail of the distribution—the part of the distribution representing large but rare events—and by the difficulty of identifying the range over which power-law behavior holds. Commonly used methods for analyzing power-law data, such as least-squares fitting, can produce substantially inaccurate estimates of parameters for power-law distributions, and even in cases where such methods return accurate answers they are still unsatisfactory because they give no indication of whether the data obey a power law at all. Here we present a principled statistical framework for discerning and quantifying power-law behavior in empirical data. Our approach combines maximum-likelihood fitting methods with goodness-of-fit tests based on the Kolmogorov–Smirnov (KS) statistic and likelihood ratios. We evaluate the effectiveness of the approach with tests on synthetic data and give critical comparisons to previous approaches. We also apply the proposed methods to twenty-four real-world data sets from a range of different disciplines, each of which has been conjectured to follow a power-law distribution. In some cases we find these conjectures to be consistent with the data, while in others the power law is ruled out. }
}
%networking
@inproceedings{Crowcroft2022,
author = {Crowcroft, Jon},
title = {Statement: Hard Lessons for ICN from IP Multicast},
year = {2022},
isbn = {9781450392570},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
abstract = {In this brief statement, we trace the line of thought from Internet Multicast through to Information Centric Networking, and use this to outline what we think should have been the priorities in ICN work from the start.},
booktitle = {Proceedings of the 9th ACM Conference on Information-Centric Networking},
pages = {148–149},
numpages = {2},
location = {Osaka, Japan},
series = {ICN '22}
}

@misc{Trossen2022,
      title={If Multicast is the Answer -- What was the Question?},
      author={Dirk Trossen and Jon Crowcroft},
      year={2022},
      eprint={2211.09029},
      archivePrefix={arXiv},
      primaryClass={cs.NI}
}

@inproceedings{Bless2009,
    author       = {Bless, Roland and Waldhorst, Oliver P. and Mayer, Christoph P. and Wippel, Hans},
    year         = {2009},
    title        = {Decentralized and Autonomous Bootstrapping for IPv6-based Peer-to-Peer Networks},
    booktitle    = {Winning Entry of the IPv6 Contest 2009 by IPv6 Council, Leipzig},
    language     = {english}
}

@inproceedings{Bless2022,
    author       = {Bless, Roland and Zitterbart, Martina and Despotovic, Zoran and Hecker, Artur},
    year         = {2022},
    title        = {KIRA: Distributed Scalable ID-based Routing with Fast Forwarding},
    pages        = {1–9},
    eventtitle   = {21st Networking Conference},
    eventtitleaddon = {IFIP 2022},
    eventdate    = {2022-06-13/2022-06-16},
    venue        = {Catania, Italien},
    booktitle    = {21st IFIP Networking Conference, 13th-16th June 2022, Catania},
    doi          = {10.23919/IFIPNetworking55013.2022.9829816},
    publisher    = {{Institute of Electrical and Electronics Engineers (IEEE)}},
    isbn         = {978-3-903176-48-5},
    keywords     = {Routing, ID-based, Distributed Routing, Scalability},
    language     = {english}
}
@inproceedings{Hoiland2016,
author = {H\o{}iland-J\o{}rgensen, Toke and Ahlgren, Bengt and Hurtig, Per and Brunstrom, Anna},
title = {Measuring Latency Variation in the Internet},
year = {2016},
isbn = {9781450342926},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
abstract = {We analyse two complementary datasets to quantify the latency variation experienced by internet end-users: (i) a large-scale active measurement dataset (from the Measurement Lab Network Diagnostic Tool) which shed light on long-term trends and regional differences; and (ii) passive measurement data from an access aggregation link which is used to analyse the edge links closest to the user.The analysis shows that variation in latency is both common and of significant magnitude, with two thirds of samples exceeding 100, ms of variation. The variation is seen within single connections as well as between connections to the same client. The distribution of experienced latency variation is heavy-tailed, with the most affected clients seeing an order of magnitude larger variation than the least affected. In addition, there are large differences between regions, both within and between continents. Despite consistent improvements in throughput, most regions show no reduction in latency variation over time, and in one region it even increases.We examine load-induced queueing latency as a possible cause for the variation in latency and find that both datasets readily exhibit symptoms of queueing latency correlated with network load. Additionally, when this queueing latency does occur, it is of significant magnitude, more than 200,ms in the median. This indicates that load-induced queueing contributes significantly to the overall latency variation.},
booktitle = {Proceedings of the 12th International on Conference on Emerging Networking EXperiments and Technologies},
pages = {473–480},
numpages = {8},
keywords = {access network performance, bufferbloat, latency},
location = {Irvine, California, USA},
series = {CoNEXT '16}
}
@article{Dang2021,
abstract = {Cloud computing has seen continuous growth over the last decade. The recent rise in popularity of next-generation applications brings forth the question: "Can current cloud infrastructure support the low latency requirements of such apps?" Specifically, the interplay of wireless last-mile and investments of cloud operators in setting up direct peering agreements with ISPs globally to current cloud reachability and latency has remained largely unexplored. This paper investigates the state of end-user to cloud connectivity over wireless media through extensive measurements over six months. We leverage 115,000 wireless probes on the Speed-checker platform and 195 cloud regions from 9 well-established cloud providers. We evaluate the suitability of current cloud infrastructure to meet the needs of emerging applications and highlight various hindering pressure points. We also compare our results to a previous study over RIPE Atlas. Our key findings are: (i) the most impact on latency comes from the geographical distance to the datacenter; (ii) the choice of a measurement platform can significantly influence the results; (iii) wireless last-mile access contributes significantly to the overall latency, almost surpassing the impact of the geographical distance in many cases. We also observe that cloud providers with their own private network backbone and direct peering agreements with serving ISPs offer noticeable improvements in latency, especially in its consistency over longer distances.},
author = {Dang, The Khang and Mohan, Nitinder and Corneo, Lorenzo and Zavodovski, Aleksandr and Ott, Jorg and Kangasharju, Jussi},
doi = {10.1145/3487552.3487854},
file = {:Users/dgu/Documents/Mendeley Desktop/Dang et al. - 2021 - Cloudy with a chance of short RTTs Analyzing cloud connectivity in the internet.pdf:pdf},
isbn = {9781450391290},
journal = {Proceedings of the ACM SIGCOMM Internet Measurement Conference, IMC},
keywords = {cloud connectivity,edge computing,last-mile latency,peering},
mendeley-groups = {56-measurements},
number = {1},
pages = {62--79},
title = {{Cloudy with a chance of short RTTs: Analyzing cloud connectivity in the internet}},
year = {2021}
}
@article{Salamatian2022,
abstract = {The main premise of this work is that since large cloud providers can and do manipulate probe packets that traverse their privately owned and operated backbones, standard traceroute-based measurement techniques are no longer a reliable means for assessing network connectivity in large cloud provider infrastructures. In response to these developments, we present a new empirical approach for elucidating private connectivity in today's Internet. Our approach relies on using only "light-weight"(i.e., simple, easily-interpretable, and readily available) measurements, but requires applying a "heavy-weight"or advanced mathematical analysis. In particular, we describe a new method for assessing the characteristics of network path connectivity that is based on concepts from Riemannian geometry (i.e., Ricci curvature) and also relies on an array of carefully crafted visualizations (e.g., a novel manifold view of a network's delay space). We demonstrate our method by utilizing latency measurements from RIPE Atlas anchors and virtual machines running in data centers of three large cloud providers to (i) study different aspects of connectivity in their private backbones and (ii) show how our manifold-based view enables us to expose and visualize critical aspects of this connectivity over different geographic scales.},
author = {Salamatian, Loqman and Anderson, Scott and Matthews, Joshua and Barford, Paul and Willinger, Walter and Crovella, Mark},
doi = {10.1145/3489048.3522645},
file = {:Users/dgu/Documents/Mendeley Desktop/Salamatian et al. - 2022 - Curvature-based Analysis of Network Connectivity in Private Backbone Infrastructures.pdf:pdf},
isbn = {9781450391412},
issn = {01635999},
journal = {Performance Evaluation Review},
keywords = {curvature,internet,latent representations,manifold,physical topology},
mendeley-groups = {56-measurements},
number = {1},
pages = {1--2},
title = {{Curvature-based Analysis of Network Connectivity in Private Backbone Infrastructures}},
volume = {50},
year = {2022}
}
@article{Salamatian2023,
abstract = {As hyperscalers such as Google, Microsoft, and Amazon play an increasingly important role in today's Internet, they are also capable of manipulating probe packets that traverse their privately owned and operated backbones. As a result, standard traceroute-based measurement techniques are no longer a reliable means for assessing network connectivity in these global-scale cloud provider infrastructures. In response to these developments, we present a new empirical approach for elucidating connectivity in these private backbone networks. Our approach relies on using only "lightweight"(i.e., simple, easily interpretable, and readily available) measurements, but requires applying "heavyweight"mathematical techniques for analyzing these measurements. In particular, we describe a new method that uses network latency measurements and relies on concepts from Riemannian geometry (i.e., Ricci curvature) to assess the characteristics of the connectivity fabric of a given network infrastructure. We complement this method with a visualization tool that generates a novel manifold view of a network's delay space. We demonstrate our approach by utilizing latency measurements from available vantage points and virtual machines running in datacenters of three large cloud providers to study different aspects of connectivity in their private backbones and show how our generated manifold views enable us to expose and visualize critical aspects of this connectivity.},
author = {Salamatian, Loqman and Anderson, Scott and Mathews, Joshua and Barford, Paul and Willinger, Walter and Crovella, Mark},
doi = {10.1145/3604620},
file = {:Users/dgu/Documents/Mendeley Desktop/manifold-latency.pdf:pdf},
issn = {15577317},
journal = {Communications of the ACM},
mendeley-groups = {56-measurements},
number = {8},
pages = {95--103},
title = {{A Manifold View of Connectivity in the Private Backbone Networks of Hyperscalers}},
volume = {66},
year = {2023}
}

%eBPF
@article{Parola2023,
author = {Parola, Federico and Procopio, Roberto and Querio, Roberto and Risso, Fulvio},
title = {Comparing User Space and In-Kernel Packet Processing for Edge Data Centers},
year = {2023},
issue_date = {January 2023},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {53},
number = {1},
issn = {0146-4833},
abstract = {Telecommunication operators are massively moving their network functions in small data centers at the edge of the network, which are becoming increasingly common. However, the high performance provided by commonly used technologies for data plane processing such as DPDK, based on kernel-bypass primitives, comes at the cost of rigid resource partitioning. This is unsuitable for edge data centers, in which efficiency demands both general-purpose applications and data-plane telco workloads to be executed on the same (shared) physical machines. In this respect, eBPF/XDP looks a more appealing solution, thanks to its capability to process packets in the kernel, achieving a higher level of integration with non-data plane applications albeit with lower performance than DPDK. In this paper we leverage the recent introduction of AF_XDP, an XDP-based technology that allows to efficiently steer packets in user space, to provide a thorough comparison of user space vs in-kernel packet processing in typical scenarios of a data center at the edge of the network. Our results provide useful insights on how to select and combine these technologies in order to improve overall throughput and optimize resource usage.},
journal = {SIGCOMM Comput. Commun. Rev.},
month = {apr},
pages = {14–29},
numpages = {16},
keywords = {XDP, NFV, eBPF, data plane, Linux kernel, AF_XDP}
}

%VotingModel
@article{Cruise2014,
abstract = {In this paper, we consider lightweight decentralised algorithms for achieving consensus in distributed systems. Each member of a distributed group has a private value from a fixed set consisting of, say, two elements, and the goal is for all members to reach consensus on the majority value. We explore variants of the voter model applied to this problem. In the voter model, each node polls a randomly chosen group member and adopts its value. The process is repeated until consensus is reached. We generalise this so that each member polls a (deterministic or random) number of other group members and changes opinion only if a suitably defined super-majority has a different opinion. We show that this modification greatly speeds up the convergence of the algorithm, as well as substantially reducing the probability of it reaching consensus on the incorrect value.},
archivePrefix = {arXiv},
arxivId = {1311.4805},
author = {Cruise, James and Ganesh, Ayalvadi},
doi = {10.1007/s11134-014-9397-7},
eprint = {1311.4805},
issn = {15729443},
journal = {Queueing Systems},
keywords = {Consensus,Markov chains,Probability,Voter model},
mendeley-groups = {50-distributed-concensus},
number = {2},
pages = {99--120},
title = {{Probabilistic consensus via polling and majority rules}},
volume = {78},
year = {2014}
}
%WeightedVotes Model
@article{Cruise2014,
abstract = {In this paper, we consider lightweight decentralised algorithms for achieving consensus in distributed systems. Each member of a distributed group has a private value from a fixed set consisting of, say, two elements, and the goal is for all members to reach consensus on the majority value. We explore variants of the voter model applied to this problem. In the voter model, each node polls a randomly chosen group member and adopts its value. The process is repeated until consensus is reached. We generalise this so that each member polls a (deterministic or random) number of other group members and changes opinion only if a suitably defined super-majority has a different opinion. We show that this modification greatly speeds up the convergence of the algorithm, as well as substantially reducing the probability of it reaching consensus on the incorrect value.},
archivePrefix = {arXiv},
arxivId = {1311.4805},
author = {Cruise, James and Ganesh, Ayalvadi},
doi = {10.1007/s11134-014-9397-7},
eprint = {1311.4805},
issn = {15729443},
journal = {Queueing Systems},
keywords = {Consensus,Markov chains,Probability,Voter model},
mendeley-groups = {50-distributed-concensus},
number = {2},
pages = {99--120},
title = {{Probabilistic consensus via polling and majority rules}},
volume = {78},
year = {2014}
}
%Introduction - Use classes
@article{Hari,
author = {Hari, Adiseshu and Lakshman, T V},
isbn = {9781450346610},
mendeley-groups = {51-dlt},
pages = {204--210},
title = {{The Internet Blockchain : A Distributed , Tamper-Resistant Transaction Framework for the Internet}}
}

@inproceedings{Deering1990,
author = {Deering, Stephen E. and Cheriton, David R.},
title = {Multicast Routing in Datagram Internetworks and Extended LANs},
year = {1990},
issue_date = {May 1990},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {8},
number = {2},
issn = {0734-2071},
journal = {ACM Trans. Comput. Syst.},
month = {may},
pages = {85–110},
numpages = {26}
}

@INPROCEEDINGS{SSM2012,
  author={Bartczak, T. and Zwierzykowski, P.},
  booktitle={2012 8th International Symposium on Communication Systems, Networks and Digital Signal Processing (CSNDSP)},
  title={Performance evaluation of Source-Specific Multicast routing protocols for IP networks},
  year={2012},
  volume={},
  number={},
  pages={1-6},
  doi={10.1109/CSNDSP.2012.6292693}
}

@article{IpLocation2023,
abstract = {},
author = {Brand Media, Inc.},
title = {{Online Tools}},
url = {https://tools.iplocation.net/},
month           = {March},
year = {2023}
}
